Skip to navigation

Stream conversation turn events

Alpha

Stream the events of a turn as server-sent events. Send Last-Event-ID to resume after an event. The server keeps events for about an hour. This endpoint is in alpha and may change.

Path parameters

conversation_idstringRequired
The Conversation ID
turn_idstringRequired
The Turn ID

Headers

xi-api-keystringOptional
Last-Event-IDstringOptional

Response

Server-sent events. Each event has the stream cursor as its id, the event type as its event, and a stream envelope as its data.

conversation_idstring
turn_idstring
created_at_unix_msinteger
eventobject

Errors

422
Conversations Stream Turn Events Request Unprocessable Entity Error